inflate.h File Reference

Go to the source code of this file.

## Classes

struct | inflate_state

## Macros

#define | GUNZIP

## Enumerations

enum | inflate_mode { HEAD = 16180 , FLAGS , TIME , OS , EXLEN , EXTRA , NAME , COMMENT , HCRC , DICTID , DICT , TYPE , TYPEDO , STORED , COPY_ , COPY , TABLE , LENLENS , CODELENS , LEN_ , LEN , LENEXT , DIST , DISTEXT , MATCH , LIT , CHECK , LENGTH , DONE , BAD , MEM , SYNC }

## Macro Definition Documentation

## GUNZIP

#define GUNZIP

Definition at line 16 of file inflate.h.

## Enumeration Type Documentation

## inflate_mode

enum inflate_mode

Enumerator
HEAD |
FLAGS |
TIME |
OS |
EXLEN |
EXTRA |
NAME |
COMMENT |
HCRC |
DICTID |
DICT |
TYPE |
TYPEDO |
STORED |
COPY_ |
COPY |
TABLE |
LENLENS |
CODELENS |
LEN_ |
LEN |
LENEXT |
DIST |
DISTEXT |
MATCH |
LIT |
CHECK |
LENGTH |
DONE |
BAD |
MEM |
SYNC |

Definition at line 20 of file inflate.h.